#ifndef __USART_H
#define __USART_H

#include "sys.h"
#include <stdio.h>

void Usart_Init(unsigned int BaudRate);
void Serial_SendByte(unsigned char Byte);
void Serial_SendArray(unsigned char *Array,unsigned short Length);
void Serial_SendString(char *string);
void Serial_SendNumber(unsigned int Number,unsigned char Length);

unsigned char Serial_GetRxFlag(void);
unsigned char Serial_GetRxData(void);

#endif
